import React, { useState, useEffect } from 'react';
import { api_url } from '../env';  
import "/Users/dml-veerjot/Documents/development/html/blog_app/src/styleing/body.css";

function Body() { 
  const [data, setData] = useState([]);
  const [error, setError] = useState(null); 

  const fetchData = async () => {
    try {
      const res = await fetch(api_url);
      const d = await res.json();
      setData(d);
    } catch (e) {
      setError(e);
    }
  };

  useEffect(() => {
    fetchData();
  }, []);

  if (error) {
    return <div>Error: {error.message}</div>;  
  }

  return (
    <div className="App">
        <ul>
          {data.map((post) => (
            <li key={post?.id}>
            
              <h1> Title :{post?.title}</h1>
              <p> <b>Content :</b>{post?.body}</p>
            </li>
          ))}
        </ul>
    </div>
  );
}

export default Body;
